Summary:	An extension of GTK+ 3
Summary(pl.UTF-8):	Rozszerzenie GTK+ 3
Name:		granite
# keep 6.x here (last version for GTK+ 3)
Version:	6.2.0
Release:	2
License:	GPL v3
Group:		X11/Libraries
#Source0Download: https://github.com/elementary/granite/releases
Source0:	https://github.com/elementary/granite/archive/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	b5cb2159d784020667c87d21f82157c1
URL:		http://elementaryos.org/
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.50
BuildRequires:	gobject-introspection-devel
BuildRequires:	gtk+3-devel >= 3.22
BuildRequires:	libgee-devel >= 0.8
BuildRequires:	meson >= 0.48.2
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	vala >= 2:0.48
BuildRequires:	vala-libgee >= 0.8
Requires(post,postun):	/sbin/ldconfig
Requires(post,postun):	gtk-update-icon-cache
Requires:	glib2 >= 1:2.50
Requires:	gtk+3 >= 3.22
Requires:	hicolor-icon-theme
Obsoletes:	granite-libs < 0.1.1-3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Granite is an extension of GTK. Among other things, it provides the
commonly-used widgets such as modeswitchers, welcome screens,
AppMenus, search bars, and more found in elementary apps.

%description -l pl.UTF-8
Granite to rozszerzenie GTK. Dostarcza między innymi takie popularne
widżety, jak przełączniki trybów, ekrany powitalne, AppMenu, paski
wyszukiwania i inne, jakie można spotkać w aplikacjach elementary.

%package devel
Summary:	Header files for libgranite
Summary(pl.UTF-8):	Pliki nagłówkowe libgranite
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.50
Requires:	gtk+3-devel >= 3.22

%description devel
This package contains the header files for libgranite.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe libgranite.

%package -n vala-granite
Summary:	Vala API for libgranite library
Summary(pl.UTF-8):	API języka Vala do biblioteki libgranite
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	vala >= 2:0.48
Requires:	vala-libgee >= 0.8
BuildArch:	noarch

%description -n vala-granite
Vala API for libgranite library.

%description -n vala-granite -l pl.UTF-8
API języka Vala do biblioteki libgranite.

%prep
%setup -q

%build
%meson build \
	--default-library=shared \
	-Ddocumentation=true

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

# not supported by glibc (as of 2.37)
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/{ie,rue,sma}
# no generic variant supported, zh_{CN,TW} already present
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/zh

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%update_icon_cache hicolor

%postun
/sbin/ldconfig
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_bindir}/granite-demo
%attr(755,root,root) %{_libdir}/libgranite.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgranite.so.6
%{_libdir}/girepository-1.0/Granite-1.0.typelib
%{_datadir}/metainfo/granite.appdata.xml
%{_desktopdir}/io.elementary.granite.demo.desktop
%{_iconsdir}/hicolor/*x*/actions/appointment.svg
%{_iconsdir}/hicolor/*x*/actions/open-menu.svg
%{_iconsdir}/hicolor/scalable/actions/open-menu-symbolic.svg

%files devel
%defattr(644,root,root,755)
%{_libdir}/libgranite.so
%{_includedir}/granite
%{_datadir}/gir-1.0/Granite-1.0.gir
%{_pkgconfigdir}/granite.pc

%files -n vala-granite
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/granite.deps
%{_datadir}/vala/vapi/granite.vapi
%changelog
* Mon Jul 24 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/granite.git;a=log;h=master

* Mon Jul 24 2023 Jakub Bogusz <qboosh@pld-linux.org> 7b2abf5
- drop unspecified zh locale; release 2

* Mon Jul 24 2023 Jakub Bogusz <qboosh@pld-linux.org> 2896f82
- keep gtk+3 version here

* Mon Jul 24 2023 Jakub Bogusz <qboosh@pld-linux.org> d5ee978
- updated to 6.2.0

* Sun Jul 23 2023 Jakub Bogusz <qboosh@pld-linux.org> 2211a73
- updated to 5.5.0, builds now

* Sun Jul 23 2023 Jakub Bogusz <qboosh@pld-linux.org> 2bb65ec
- updated to 5.2.0 (last version using cmake), still doesn't build

* Sun Jul 23 2023 Jakub Bogusz <qboosh@pld-linux.org> 8c10fb5
- updated to 0.5, separated vala- package; doesn't build with current vala

* Sun Jul 23 2023 Jakub Bogusz <qboosh@pld-linux.org> d6de947
- pl

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 9ff1852
- updated gettext BR

* Thu Feb 07 2013 Elan Ruusamäe <glen@delfi.ee> 185f69f
- revert -libs split

* Thu Feb 07 2013 Elan Ruusamäe <glen@delfi.ee> 7106739
- pff, here's no glib schema to compile

* Thu Feb 07 2013 Elan Ruusamäe <glen@delfi.ee> bdae6af
- fix install dirs in cmake sources

* Thu Feb 07 2013 Elan Ruusamäe <glen@delfi.ee> 505a7b4
- move vala api to -devel

* Wed Feb 06 2013 Elan Ruusamäe <glen@delfi.ee> 016f653
- disable gsettings and icon update at packaging time, do it at install time

* Wed Feb 06 2013 Elan Ruusamäe <glen@delfi.ee> 111f439
- split -libs

* Wed Feb 06 2013 Elan Ruusamäe <glen@delfi.ee> 5fea558
- fix locale removal

* Wed Feb 06 2013 Elan Ruusamäe <glen@delfi.ee> 4a4b0f3
- unknown locales: rue, sma

* Wed Feb 06 2013 Elan Ruusamäe <glen@delfi.ee> c95887e
- updated BR deps (cleanbuild to rescue)

* Wed Feb 06 2013 Elan Ruusamäe <glen@delfi.ee> 3b0459d
- fix md5

* Wed Feb 06 2013 Elan Ruusamäe <glen@delfi.ee> 1072797
- up to 0.1.1

* Wed Feb 06 2013 Elan Ruusamäe <glen@delfi.ee> ee47d1d
- new, version 0.1.0

